<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ "Common.Homepage" | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>
        <a [routerLink]="['/country', country?.id]">{{ country?.name }}</a>
      </nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ "Economy.ItemsMarket" | translate }}</nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
</nz-page-header>

<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div>
    <div nz-row nzJustify="space-around" style="text-align: center;">
      <div nz-col nzXs="23" nzSm="23" nzMd="8">
        <nz-select style="width: 100%" nzShowSearch nzAllowClear nzPlaceHolder="Item" [(ngModel)]="selectedItem"
          nzSize="large" (ngModelChange)="loadMarketItems()" [nzCustomTemplate]="selectedItemTemplate">
          <nz-option *ngFor="let data of industryTypes" nzLabel="{{'Economy.' + data.symbol | translate}}"
            [nzValue]="data.id" nzCustomContent>
            <img [src]="data.value" width="25" height="25" />
            {{ 'Economy.' + data.symbol | translate }}
          </nz-option>
        </nz-select>
        <ng-template #selectedItemTemplate let-selected>
          <span *ngIf="selectedItem">
            <img src="{{ selectedItemData().value }}" width="25" height="25" />
            {{ 'Economy.' + selectedItemData().symbol | translate }}
          </span>
        </ng-template>
      </div>

      <div nz-col nzXs="23" nzSm="23" nzMd="8">
        <nz-select style="width: 100%" nzShowSearch nzAllowClear nzPlaceHolder="{{ 'Common.Quality' | translate }}" [(ngModel)]="selectedQuality"
          nzSize="large" [nzCustomTemplate]="selectedQualityTemplate" (ngModelChange)="loadMarketItems()">
          <nz-option [nzLabel]="0" [nzValue]="0" nzCustomContent>
            {{ "Common.Any" | translate }}
          </nz-option>
          <nz-option *ngFor="let data of qualities" [nzLabel]="data.quality" [nzValue]="data.key" nzCustomContent>
            <span style="color: gold" innerHtml="{{ data.key | q }}"></span>
          </nz-option>
        </nz-select>
        <ng-template #selectedQualityTemplate let-selected>
          <span *ngIf="selectedQuality > 0" style="color: gold" innerHtml="{{ selectedQuality | q }}"></span>
          <span *ngIf="selectedQuality === 0">{{ "Common.Any" | translate }}</span>
        </ng-template>
      </div>
    </div>

    <div style="text-align: center; margin: 20px">
      <nz-alert nzType="info" *ngIf="offers && offers.length === 0"
        nzMessage="{{ 'Economy.Market.noOffersFoundCurrencies' | translate }}">
      </nz-alert>

      <div nz-row nzGutter="12" *ngIf="offers && offers.length > 0">
        <div nz-col nzXs="24" nzSm="24" nzMd="24" nzLg="12" nzXl="8" *ngFor="let offer of offers"
          style="margin-bottom: 12px;">
          <nz-card id="exchange-list-item">
            <div nz-row nzGutter="12">
              <div nz-col nzSpan="8">
                <nz-avatar [nzShape]="'square'" [nzSize]="32" [nzIcon]="'user'" [nzSrc]="offer?.owner?.avatar">
                </nz-avatar>
                <div style="font-size: 16px">{{ offer?.owner?.name }}</div>
              </div>
              <div nz-col nzSpan="16">
                <div *ngIf="selectedQuality === 0">
                  {{ "Common.Quality" | translate }}: <span style="color: gold" innerHtml="{{ offer.quality | q }}"></span>
                </div>
                <div>{{ "Economy.Market.Amount" | translate }}: {{ offer.amount }}</div>
                <div>{{ "Economy.Market.Price" | translate }}: {{ offer.price }} {{ offer.priceCurrencyName }}</div>
                <div *ngIf="offer.amountSelected > 0">
                  {{ "Economy.Currencies.TotalPrice" | translate }}: {{ offer.price * offer.amountSelected }} {{ offer.priceCurrencyName }}
                </div>
              </div>
            </div>

            <nz-divider></nz-divider>
            <nz-input-group nzSearch [nzAddOnAfter]="suffixIconButton2">
              <div style="margin-right: 20px">
                <nz-slider [(ngModel)]="offer.amountSelected" [nzMax]="offer.amount" [nzMin]="0" [nzStep]="1"
                  [nzMarks]="offer.marks"></nz-slider>
              </div>
            </nz-input-group>
            <ng-template #suffixIconButton2>
              <button nz-button nzShape="round" nzType="primary" nzSearch (click)="acceptOffer(offer)">
                {{ "Economy.Trade.Buy" | translate }} {{ offer.amountSelected }}
              </button>
            </ng-template>

          </nz-card>
        </div>
      </div>
    </div>
  </div>
</nz-spin>

<div *ngIf="chartData">
  <nz-divider></nz-divider>
  <div style="margin: 20px;">
    <h3>{{ "Economy.Trade.HistoryOfOffers" | translate }}</h3>

    <app-chart [labels]="chartData.labels" [height]="300" [datasets]="chartData.datasets" [options]="chartData.options"
      type="line"></app-chart>
  </div>
</div>
